Get the most out of your Centmin Mod LEMP stack
Become a Member

Beta Branch auto enable enable_devtoolset function in PHP 7.3 compile routines

Discussion in 'Centmin Mod Github Commits' started by eva2000, Feb 25, 2019.

  1. eva2000

    eva2000 Administrator Staff Member

    41,381
    9,291
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,255
    Local Time:
    12:49 AM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    auto enable enable_devtoolset function in PHP 7.3 compile routines

    for centmin mod 123.09beta01 where PHP 7.3 is detected, devtoolset-7 or devtoolset-8 gcc 7.3.1 or gcc 8.2.1 compilers will be used which means php extensions compiled at the same time as PHP 7.3 will need compatibility cflags enabled for some PHP extensions like geoip, imagick, mailparse, mongodb, redis and compression php extensions - brotli, lz4, zopfli and zstd. This is done by auto setting GENERAL_DEVTOOLSETGCC='y' when DEVTOOLSETSEVEN='y' or DEVTOOLSETEIGHT='y' are set which enables enable_devtoolset function. Prior to this committed update, only memcached compiles triggered enable_devtoolset function if GENERAL_DEVTOOLSETGCC='y' was set.

    Continue reading...

    123.09beta01 branch